Create bill payment
Create a PayWise Bill Payments transaction for version=2026-07-01.
Endpoint
POST /bill_payments/pay
Query Parameters
- version (string, required) - API contract version. Use exactly 2026-07-01.
Header Parameters
PW-subscription-key(string, required)PW-origin-country(string, required)PW-request-date(string, required) - UTC request timestamp formatted asYYYY-MM-DD HH:mm:ss.PW-ip-address(string, required)User-Agent(string, required)Idempotency-Key(string, required)
Request Body
Use snake_case for the public request body.
Canonical request example:
{
"biller_code": "18689859859",
"product_code": "0000",
"amount": "50",
"currency": "TTD",
"customer_reference": "1023358",
"customer_mobile_no": "18685125125",
"external_reference": "CU-20260704-000123",
"client_receipt_id": "ACME-RCPT-981234",
"id_type": "DP",
"id_number": "732711",
"description": "Bill payment",
"other_data": "optional trace metadata",
"metadata": {
"source": "partner"
}
}
Field definitions:
biller_code: PayWise biller/payee identifier.product_code: product or service code under the biller.amount: string decimal amount.currency: ISO currency code, for exampleTTD.customer_reference: customer account, bill, or reference number at the biller.customer_mobile_no: payer or customer mobile number, if available.external_reference: client or partner order or correlation reference.client_receipt_id: client or partner receipt/reference proving its own customer or member funds collection.id_type: optional payer identity document type.id_number: optional payer identity document number.description: optional transaction description.other_data: optional trace metadata.metadata: optional client metadata.
Important:
receipt_idis not accepted in the request.- Clients must use
client_receipt_idfor their own receipt/reference. - PayWise generates
receipt_id.
Response body: create
Use snake_case in the public response.
{
"status": "success",
"code": 201,
"message": "Bill payment completed.",
"transaction_id": "af49178b-bd4c-4104-9b7f-f00cf1125d29",
"normalized_status": "SUCCESS",
"receipt_id": "PWBP-9C11D5BC",
"external_reference": "CU-20260704-000123",
"client_receipt_id": "ACME-RCPT-981234"
}
Downloads
- Download Postman-ready request body
Notes
This endpoint page is the public Bill Payments create flow for version=2026-07-01.